gnutls_db_check_entry(3)

NAME
gnutls_db_check_entry - checks if the given db entry has expired

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_db_check_entry(gnutls_session_t session, gnutls_datum_t session_entry);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_datum_t session_entry
    is the session data (not key)

DESCRIPTION
This function returns GNUTLS_E_EXPIRED, if the database entry has expired or 0 otherwise. This function is to be used when you want to clear unnesessary session which occupy space in your backend.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2004 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.